GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/macroscope.c File Reference
`#include "defs.h"`
`#include "macroscope.h"`
`#include "symtab.h"`
`#include "source.h"`
`#include "target.h"`
`#include "frame.h"`
`#include "inferior.h"`
`#include "complaints.h"`

Go to the source code of this file.

## Functions
struct macro_scope * | sal_macro_scope (struct symtab_and_line sal)
struct macro_scope * | user_macro_scope (void)
struct macro_scope * | default_macro_scope (void)
struct macro_definition * | standard_macro_lookup (const char *name, void *baton)
void | _initialize_macroscope (void)

## Variables
struct macro_table * | macro_user_macros

## Function Documentation

## ◆ _initialize_macroscope()

void _initialize_macroscope | ( | void |  | ) |

Definition at line 160 of file macroscope.c.

References macro_allow_redefinitions(), macro_set_main(), macro_user_macros, and new_macro_table().

## ◆ default_macro_scope()

struct macro_scope* default_macro_scope | ( | void |  | ) |

Definition at line 102 of file macroscope.c.

References deprecated_safe_get_selected_frame(), find_pc_line(), get_current_source_symtab_and_line(), get_frame_pc_if_available(), symtab_and_line::line, sal_macro_scope(), symtab_and_line::symtab, and user_macro_scope().

Referenced by c_parse(), default_collect_symbol_completion_matches_break_on(), info_macro_command(), info_macros_command(), macro_expand_command(), macro_expand_once_command(), and write_macro_definitions().

## ◆ sal_macro_scope()

struct macro_scope* sal_macro_scope | ( | struct symtab_and_line | sal | ) |

Definition at line 39 of file macroscope.c.

References _, complaint, COMPUNIT_MACRO_TABLE, macro_scope::file, symtab::filename, macro_scope::line, symtab_and_line::line, macro_lookup_inclusion(), macro_main(), symfile_complaints, symtab_and_line::symtab, SYMTAB_COMPUNIT, symtab_to_filename_for_display(), and XNEW.

Referenced by c_parse(), default_macro_scope(), info_macros_command(), and write_macro_definitions().

## ◆ standard_macro_lookup()

struct macro_definition* standard_macro_lookup | ( | const char * | name,
|  | void * | baton
| ) |  |

Definition at line 147 of file macroscope.c.

References macro_scope::file, macro_scope::line, macro_lookup_definition(), macro_main(), macro_user_macros, and name.

Referenced by lex_one_token(), macro_expand_command(), and macro_expand_once_command().

## ◆ user_macro_scope()

struct macro_scope* user_macro_scope | ( | void |  | ) |

Definition at line 91 of file macroscope.c.

References macro_scope::file, macro_scope::line, macro_main(), macro_user_macros, and XNEW.

Referenced by c_parse(), default_macro_scope(), and write_macro_definitions().

## Variable Documentation

## ◆ macro_user_macros

struct macro_table* macro_user_macros

Definition at line 35 of file macroscope.c.

Referenced by _initialize_macroscope(), default_collect_symbol_completion_matches_break_on(), macro_define_command(), macro_list_command(), macro_undef_command(), standard_macro_lookup(), and user_macro_scope().